Bug 1819652 (CVE-2019-16538) - CVE-2019-16538 jenkins-script-security-plugin: sandbox protection bypass leads to execute arbitrary code in sandboxed scripts
Summary: CVE-2019-16538 jenkins-script-security-plugin: sandbox protection bypass lead...
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2019-16538
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
high
high
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1819530 1819538 1819544 1819647 1819654 1820007 1820008 1873177 1873182
Blocks: 1819705
TreeView+ depends on / blocked
 
Reported: 2020-04-01 09:25 UTC by Dhananjay Arunesh
Modified: 2021-02-16 20:20 UTC (History)
14 users (show)

Fixed In Version: jenkins-script-security-plugin 1.68
Doc Type: If docs needed, set a value
Doc Text:
A sandbox bypass flaw was found in the Jenkins Script Security Plugin versions 1.67 and earlier, that are related to the handling of closure default parameter expressions. This flaw allows attackers to execute arbitrary code in sandboxed scripts.
Clone Of:
Environment:
Last Closed: 2020-06-17 23:20:41 UTC
Embargoed:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2020:2478 0 None None None 2020-06-17 22:38:27 UTC
Red Hat Product Errata RHSA-2020:2737 0 None None None 2020-06-29 14:42:05 UTC
Red Hat Product Errata RHSA-2020:3616 0 None None None 2020-09-09 15:22:34 UTC

Description Dhananjay Arunesh 2020-04-01 09:25:36 UTC
A sandbox bypass vulnerability in Jenkins Script Security Plugin 1.67 and earlier related to the handling of default parameter expressions in closures allowed attackers to execute arbitrary code in sandboxed scripts.

Reference:
http://www.openwall.com/lists/oss-security/2019/11/21/1

Comment 1 Dhananjay Arunesh 2020-04-01 09:27:02 UTC
Created jenkins-script-security-plugin tracking bugs for this issue:

Affects: fedora-30 [bug 1819654]

Comment 2 Sam Fowler 2020-04-02 01:38:12 UTC
External References:

https://jenkins.io/security/advisory/2019-11-21/#SECURITY-1658

Comment 4 errata-xmlrpc 2020-06-17 22:38:26 UTC
This issue has been addressed in the following products:

  Red Hat OpenShift Container Platform 3.11

Via RHSA-2020:2478 https://access.redhat.com/errata/RHSA-2020:2478

Comment 5 Product Security DevOps Team 2020-06-17 23:20:41 UTC
This bug is now closed. Further updates for individual products will be reflected on the CVE page(s):

https://access.redhat.com/security/cve/cve-2019-16538

Comment 6 errata-xmlrpc 2020-06-29 14:42:02 UTC
This issue has been addressed in the following products:

  Red Hat OpenShift Container Platform 4.4

Via RHSA-2020:2737 https://access.redhat.com/errata/RHSA-2020:2737

Comment 7 errata-xmlrpc 2020-09-09 15:22:32 UTC
This issue has been addressed in the following products:

  Red Hat OpenShift Container Platform 4.3

Via RHSA-2020:3616 https://access.redhat.com/errata/RHSA-2020:3616


Note You need to log in before you can comment on or make changes to this bug.